Error when building kodi-addon-inputstream-ffmpeg

Raspberry Pi 2

Error when building kodi-addon-inputstream-ffmpeg

Postby grandcanyon » Tue Jan 18, 2022 4:12 am

I am trying to compile kodi-addon-inputstream-ffmpegdirect on a Pi3+ running armv7. I have installed nettle but I keep getting an error of *** Libnettle 3.4.1 was not found. Ultimately I want to install IPTV Manager which needs this. I built libcec-rpi to work with fkms and kodi.simple.iptv without issue. I am using this for kodi-standalone so I'm just logging into a console (no Desktop). Can someone point me on how to fix this. Do I need to pass a flag in the PKGBUILD file?
grandcanyon
 
Posts: 20
Joined: Tue Jan 18, 2022 1:46 am

Re: Error when building kodi-addon-inputstream-ffmpeg

Postby graysky » Tue Jan 18, 2022 10:28 am

graysky
 
Posts: 1374
Joined: Sun Jun 26, 2011 6:56 am
Location: /run/user/1000

Re: Error when building kodi-addon-inputstream-ffmpeg

Postby grandcanyon » Tue Jan 18, 2022 4:19 pm

Yes this is the PKGBUILD that I am using.
grandcanyon
 
Posts: 20
Joined: Tue Jan 18, 2022 1:46 am

Re: Error when building kodi-addon-inputstream-ffmpeg

Postby graysky » Tue Jan 18, 2022 4:59 pm

You might want to post to the AUR page asking for ideas. It is not building on x86_64 for me so I doubt it would build on another architecture.
graysky
 
Posts: 1374
Joined: Sun Jun 26, 2011 6:56 am
Location: /run/user/1000

Re: Error when building kodi-addon-inputstream-ffmpeg

Postby grandcanyon » Tue Feb 01, 2022 9:34 pm

I ended up installing pkgconfig using pacman and then used the export command along with pkg-config to link libnettle to the compiler. After this, it compiled without issue.
grandcanyon
 
Posts: 20
Joined: Tue Jan 18, 2022 1:46 am


Return to Broadcom

Who is online

Users browsing this forum: caesar and 3 guests